// $ANTLR : "CVCL.g" -> "CVCLParser.java"$

  package fmrisc.Proving.CVCL;
  import fmrisc.Syntax.*;
  import fmrisc.ProofNavigator.*;
  import fmrisc.ProofNavigator.Commands.*;
  import java.util.*;

public interface CVCLParserTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int IDENT = 4;
	// ":" = 5
	int LITERAL_TYPE = 6;
	// "=" = 7
	// "->" = 8
	// "(" = 9
	// "," = 10
	// ")" = 11
	int LITERAL_BOOLEAN = 12;
	int LITERAL_INT = 13;
	int LITERAL_REAL = 14;
	// "[" = 15
	// "]" = 16
	// "[#" = 17
	// "#]" = 18
	int LITERAL_ARRAY = 19;
	int LITERAL_OF = 20;
	int LITERAL_SUBTYPE = 21;
	// ".." = 22
	int LITERAL_LET = 23;
	int LITERAL_IN = 24;
	int LITERAL_LAMBDA = 25;
	int LITERAL_FORALL = 26;
	int LITERAL_EXISTS = 27;
	// "=>" = 28
	// "<=>" = 29
	int LITERAL_XOR = 30;
	int LITERAL_OR = 31;
	int LITERAL_AND = 32;
	int LITERAL_NOT = 33;
	// "/=" = 34
	// "<" = 35
	// "<=" = 36
	// ">" = 37
	// ">=" = 38
	// "+" = 39
	// "-" = 40
	// "*" = 41
	// "/" = 42
	// "^" = 43
	int LITERAL_WITH = 44;
	// "." = 45
	int NUMBER = 46;
	// ":=" = 47
	int LITERAL_TRUE = 48;
	int LITERAL_FALSE = 49;
	// "(#" = 50
	// "#)" = 51
	int LITERAL_IF = 52;
	int LITERAL_THEN = 53;
	int LITERAL_ELSIF = 54;
	int LITERAL_ELSE = 55;
	int LITERAL_ENDIF = 56;
	int IGNORE = 57;
	int LPAR = 58;
	int RPAR = 59;
	int LBRACK = 60;
	int RBRACK = 61;
	int LPARGRID = 62;
	int RPARGRID = 63;
	int LBRACKGRID = 64;
	int RBRACKGRID = 65;
	int PERIOD = 66;
	int COLON = 67;
	int SEMICOLON = 68;
	int COMMA = 69;
	int ASSIGNMENT = 70;
	int EQUALITY = 71;
	int NONEQUALITY = 72;
	int LESS = 73;
	int LESSEQ = 74;
	int GREATER = 75;
	int GREATEREQ = 76;
	int PLUS = 77;
	int MINUS = 78;
	int TIMES = 79;
	int DIVIDES = 80;
	int POWER = 81;
	int IMPLIES = 82;
	int EQUIV = 83;
	int ARROW = 84;
	int DOTDOT = 85;
	int LETTER = 86;
	int DIGIT = 87;
	int WS = 88;
	int EOL = 89;
	int COMMENT = 90;
}
